package com.oo.seex.oo_statistics_lib.utils.utdid.core;

import java.util.Map;

public interface MySharedPreferences {
    boolean checkFile();

    Map<String, ?> getAll();

    String getString(String var1, String var2);

    int getInt(String var1, int var2);

    long getLong(String var1, long var2);

    float getFloat(String var1, float var2);

    boolean getBoolean(String var1, boolean var2);

    boolean contains(String var1);

    MySharedPreferences.MyEditor edit();

    void registerOnSharedPreferenceChangeListener(MySharedPreferences.OnSharedPreferenceChangeListener var1);

    void unregisterOnSharedPreferenceChangeListener(MySharedPreferences.OnSharedPreferenceChangeListener var1);

    public interface MyEditor {
        MySharedPreferences.MyEditor putString(String var1, String var2);

        MySharedPreferences.MyEditor putInt(String var1, int var2);

        MySharedPreferences.MyEditor putLong(String var1, long var2);

        MySharedPreferences.MyEditor putFloat(String var1, float var2);

        MySharedPreferences.MyEditor putBoolean(String var1, boolean var2);

        MySharedPreferences.MyEditor remove(String var1);

        MySharedPreferences.MyEditor clear();

        boolean commit();
    }

    public interface OnSharedPreferenceChangeListener {
        void onSharedPreferenceChanged(MySharedPreferences var1, String var2);
    }
}
